Bug 1071338 - strongswan is compiled without xauth-pam plugin
Summary: strongswan is compiled without xauth-pam plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: strongswan
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-28 14:24 UTC by topical
Modified: 2014-03-29 19:18 UTC (History)
2 users (show)

Fixed In Version: strongswan-5.1.2-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-29 19:18:29 UTC
Type: Bug


Attachments (Terms of Use)
patch to fix spec-file (951 bytes, patch)
2014-02-28 14:26 UTC, topical
no flags Details | Diff

Description topical 2014-02-28 14:24:14 UTC
Description of problem:

I use strongswan as a XAuth/RSA server and need PAM for authentication/authorization. The corresponding plugin (xauth-pam) is not compiled in.

Version-Release number of selected component (if applicable):

strongswan-5.1.1-4.el6.x86_64.rpm

How reproducible:

Always

Steps to Reproduce:
1. define a connection with "rightauth2=xauth-pam" on the server
2. try to establish an IPSec connection to the server

Actual results:

Server produces "no XAuth method found for 'pam'" in syslog.

Expected results:

Authentication should be forwarded to PAM.

Additional info:

Patch attached to fix spec-file.

Comment 1 topical 2014-02-28 14:26:02 UTC
Created attachment 869090 [details]
patch to fix spec-file

Comment 2 Fedora Update System 2014-03-15 17:00:05 UTC
strongswan-5.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/strongswan-5.1.2-2.el6

Comment 3 Fedora Update System 2014-03-17 05:59:52 UTC
Package strongswan-5.1.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing strongswan-5.1.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0881/strongswan-5.1.2-2.el6
then log in and leave karma (feedback).

Comment 4 topical 2014-03-18 12:52:51 UTC
I installed the package. XAUTH-PAM is built-in now and works. Bug can be closed. Thank you.

Comment 5 Fedora Update System 2014-03-19 20:21:39 UTC
Package strongswan-5.1.2-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing strongswan-5.1.2-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0881/strongswan-5.1.2-3.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-03-24 23:19:53 UTC
Package strongswan-5.1.2-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing strongswan-5.1.2-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0881/strongswan-5.1.2-4.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-03-29 19:18:29 UTC
strongswan-5.1.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.